
h = 3;
//w = 71;
//l = 46;
w = 84;
l = 67;
r1 = 2;
r2 = 15;
thickness = 1.2;

module b(r) {
	difference() {
		union() {
			translate([0,0,h/2+.0]) {
				minkowski() {
					cube([ w-r*2, l-r*2, h],center=true);
					cylinder(r=r,h=0.001,center=true,$fn=100);
				}
			}
			translate([0,0,-thickness/2])
				cube([w+10,l+10,thickness],center=true);
		}
		minkowski() {
			cube([ w-r*2 - thickness*2, l-r*2 - thickness*2, h*20],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=100);
		}
	}

	difference() {
		translate([0,0,-h/2+1.8]) {
			minkowski() {
				cube([ w-r*2, l-r*2, h],center=true);
				cylinder(r=r,h=0.001,center=true,$fn=100);
			}
		}
		minkowski() {
			cube([ w-r*2 - thickness*4, l-r*2 - thickness*4, h*20],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=100);
		}
	}
}

module c(r) {
	translate([0,0,5])
	difference() {
		minkowski() {
			cube([ w-r*2 - thickness*2.5, l-r*2 - thickness*2.5, 1.5],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=100);
		}
		minkowski() {
			cube([ w-r*2 - thickness*5, l-r*2 - thickness*5, h*20],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=100);
		}
	}
}

if (1) {
	difference() {
		b(r1);
		translate([-500,0,0])
			cube([1000,1000,1000],center=true);
	}
	difference() {
		b(r2);
		translate([500,0,0])
			cube([1000,1000,1000],center=true);
	}
}

if (1) {
	difference() {
		c(r1);
		translate([-500,0,0])
			cube([1000,1000,1000],center=true);
	}
	difference() {
		c(r2);
		translate([500,0,0])
			cube([1000,1000,1000],center=true);
	}

}
